concept_check.h File Reference

Go to the source code of this file.

## Macros

#define | __glibcxx_class_requires(_a, _b)
#define | __glibcxx_class_requires2(_a, _b, _c)
#define | __glibcxx_class_requires3(_a, _b, _c, _d)
#define | __glibcxx_class_requires4(_a, _b, _c, _d, _e)
#define | __glibcxx_function_requires(...)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <iterator>.

Definition in file concept_check.h.

## Macro Definition Documentation

## __glibcxx_class_requires

#define __glibcxx_class_requires | ( |  | _a,
|  |  | _b )

Definition at line 49 of file concept_check.h.

## __glibcxx_class_requires2

#define __glibcxx_class_requires2 | ( |  | _a,
|  |  | _b,
|  |  | _c )

Definition at line 50 of file concept_check.h.

## __glibcxx_class_requires3

#define __glibcxx_class_requires3 | ( |  | _a,
|  |  | _b,
|  |  | _c,
|  |  | _d )

Definition at line 51 of file concept_check.h.

## __glibcxx_class_requires4

#define __glibcxx_class_requires4 | ( |  | _a,
|  |  | _b,
|  |  | _c,
|  |  | _d,
|  |  | _e )

Definition at line 52 of file concept_check.h.

## __glibcxx_function_requires

#define __glibcxx_function_requires | ( |  | ... | ) |

Definition at line 48 of file concept_check.h.